Name:           lnav
Version:        0.7.0
Release:        2%{?dist}
Summary:        A curses-based tool for viewing and analyzing log files
License:        BSD
URL:            http://lnav.org
Source0:        https://github.com/tstack/lnav/releases/download/v%{version}/lnav-%{version}.tar.bz2
# https://github.com/tstack/lnav/issues/93
Patch0:         %{name}-0.7.0-bigendian.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bzip2-devel
BuildRequires:  ncurses-devel
# Should be removed but craps still choking around.
# TODO 0.7.1
BuildRequires:  openssl-devel
BuildRequires:  pcre-devel
BuildRequires:  python
BuildRequires:  readline-devel
BuildRequires:  sqlite-devel
BuildRequires:  zlib-devel

%description
The log file navigator is an enhanced log file viewer that takes 
advantage of any semantic information that can be gleaned from
the files being viewed, such as timestamps and log levels. Using this
extra semantic information, it can do things like interleaving
messages from different files, generate histograms of messages over
time, and providing hotkeys for navigating through the file. It is
hoped that these features will allow the user to quickly and
efficiently zero in on problems.

%prep
%setup -q
%patch0 -p1 -b .bigendian

%build
autoreconf -fiv
%configure --disable-static --disable-silent-rules
make %{?_smp_flags}

%install
make install DESTDIR=%{buildroot}

%check
make check

%files
%doc AUTHORS LICENSE NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/lnav.1*

%changelog
* Fri Apr 04 2014 Dan Horák <dan[at]danny.cz> - 0.7.0-2
- fix build on big endian arches

* Tue Apr 01 2014 Christopher Meng <rpm@cicku.me> - 0.7.0-1
- Update to 0.7.0

* Thu Nov 21 2013 Christopher Meng <rpm@cicku.me> - 0.6.2-1
- Update to 0.6.2

* Thu Sep 12 2013 Christopher Meng <rpm@cicku.me> - 0.6.1-1
- Update to 0.6.1
- Add python BR for environ detection.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 09 2013 Christopher Meng <rpm@cicku.me> - 0.5.1-2
- Cleanup old stuffs.

* Fri May 03 2013 Christopher Meng <rpm@cicku.me> - 0.5.1-1
- Update to 0.5.1

* Fri May 03 2013 Christopher Meng <rpm@cicku.me> - 0.5.0-2
- Patch with automake foreign option in order to support aarch64

* Sat Apr 27 2013 Christopher Meng <rpm@cicku.me> - 0.5.0-1
- Initial Package.
